How do I insert a symbol in a solidworks annotation?
1. First, open the SolidWorks and open your project diagram as shown
2, enlarge the screen, (easy to see), the annotation part to enlarge, as shown in the picture
3, the mouse clicks on the annotation content, the left side pops up the annotation attribute related menu, as shown in the picture
4, click on the left s
How can we determine a feature?
If we define a feature object:
Dim curfeature as sldworks. Feature
Then this feature is obtained through selectmgr, and then feature. gettypename can be used to determine the type of feature:
Select case curfeature. gettypename
Case "cut" 'a stretch cut feature
Do something.
Case "holewzd" 'a special hole feature
Do something.
Case else
End select
End select
This is the Syntax:
Syntax (OLE Automation)
Retval = feature. gettypename ()
It returns
(BS
SolidWorks How do I modify the callout size font size?
1, first open SolidWorks engineering drawings, the author here has been made, mainly about how to modify the size of the callout size font, as shown in the figure
2, choose the size of the preparation to be modified, as shown in the Left Pop-up Dimension Properties dialog box,
3, in the Left Dimension Properties dialog box,
SolidWorks how to draw a compression spring? SolidWorks Spring Painting has a lot of, but many friends are not clear how to draw, the following to introduce the compression of the spring painting.
1, click the "New" button to create a part file.
2, select the front view datum, click "Sketch", select "Sketch Drawing" button, enter the sketch interface. A circle with a diameter of 22
Insert SolidWorks Two development--insert parts in assembly
When inserting parts into the assembly, we use the addcomponent function. If you need to configure the selected parts, you need to use ADDCOMPONENT4.
Learn the grammar first:
ADDCOMPONENT4:
retval = Assemblydoc.addcomponent4 (Compname, ConfigName, x, Y, z)
Input: (BSTR) compname Path name of a loaded part or assembly to add as a component
Input: (BSTR) ConfigName
Got a feature feature, how to judge the kind?
If we define a feature object:
Dim curfeature As Sldworks.feature
Then you get this feature through Selectmgr, and then you can use feature. Gettypename to judge the kind of:
Select case Curfeature. Gettypename
Case "Cut" ' a stretch removal feature
Do sth.
Case "Holewzd" ' an irregular hole feature
Do sth.
Case Else
End Select
End Select
This is the syntax:
Syntax (OLE Automation)
retval = Feature.gettypename ()
It will
SolidWorks How do I set the bending factor in the sheet metal? Many people in the SolidWorks sheet metal bending when the coefficient to determine inconvenient, in software tutorials related to practical explanation is also difficult to find, in the SolidWorks commonly used in the bending deduction method, ordinary steel plate 90 degrees bend deduction as shown,
SolidWorks the two methods of drawing threads. This experience is to share an article on how to draw threads with SolidWorks.
Method One:
1, first of all, you have to make sure that you have turned on the decorative thread line function. Tools in the menu bar--Options, select the document properties (the second above), select the detail, and then tick the red circle in the diagram, click OK.
Today I made an example of updating the file variables. It took a while to get it out. Paste the code.
File before variable change
Create a class library in VS and add the following method
'''
Then create a form. before changing the variable, read the file (written in SolidWorks EPDM secondary development entry (1) and add a button.
The button code is as follows:
Try Finfo. batchUpdateFileVariable ("Project No.", "A395") 'calls the background updat
After the above training, I should have a general understanding of the Object Model of SolidWorks,ProgramThe operating mechanism is also clear. It will become more and more easy to control. The following figure shows the object model of SolidWorks. As a reference, you may not know where the API is hidden when you need a function or want to control a function:
Overall structure: http://gallery.computer.mbl
Visit | Data SolidWorks two times development -03-access feature data
' Coder Arden
' Filename:getchoosed.swp
' Date:2005-03-22
' Used to get ' simple hole infomation DEP Dia
' Finished lucky!!
'------------------------------------------------------------
Option Explicit
Dim Swapp as Sldworks.sldworks
Dim Model as ModelDoc2
Dim Curfeature as feature
Dim Boolstatus as Boolean
Dim Featdata as SimpleHoleFeatureData2 ' declares a simple straight hole ob
Create a console project with VC, supporting ATL and MFC
Copy sldworks. tlb, swconst. tlb, and swpublished. tlb under the SolidWorks installation path to the project folder.
Add the following code to the Code:
# Import "sldworks. tlb "raw_interfaces_only, raw_native_types, no_namespace, named_guids # import" swpublished. tlb "raw_interfaces_only, raw_native_types, no_namespace, named_guids # import" swconst. tlb "raw_interfaces_only, callback, no_nam
I believe you will often put the code in the SolidWorks API help directly to the direct use of the code is not available today. Now share your experience:True) > _publicClass clspropmgrThe above code will error: "The attribute specifier is not a complete statement." Use the line continuation character to apply the attribute to the following statement. "How to solve it? It's really simple!Workaround 1:Two lines of composite lineTruepublicClass clspropm
MCADEx development SolidWorks secondary development to obtain the maximum shape of the model, mcadexsolidworks
Please follow the MCADEx Official Website: www.mcadex.com
IModelDoc2 * pMdl;
ISwApp-> get_IActiveDoc2 ( pMdl );
If (pMdl = NULL)
Return S_FALSE;
// Obtain the Part
CComPtr
PMdl-> QueryInterface (IID_IPartDoc, (LPVOID *) pPart );
If (pPart = NULL)
Return S_FALSE;
// Obtain PartBox
VARIANT dPoint;
PPart-> GetPartBox (FALSE, dP
SolidWorks How to draw a planar graphic
1, open the software, and create a new part diagram.
2, select the front view, right click, click "Face"
3, click to select "Sketch Drawing", click Sketch 1, into the front view of the sketch editing mode
4. You can see the Operation command of sketch drawing, choose some kind of drawing command to draw the corresponding figure in sketch.
5, for
SolidWorks two times Development -06-add fit in assembly
After three days of tossing and finishing, the functional modules of the plan were finally completed. Automatically determine the insertion of suitable parts in an assembly and add a fit.
In the previous articles I have basically explained how to get the data information of the parts, how to insert the parts, how to get the selected features, etc.
The following only
This article solidworks2013 installation environment is the system WIN7/64 bit operating system, the following is the detailed procedure for installing solidworks2013:
The installation process disconnects the network.
First, use the virtual CD-ROM to open the Sw2013_sp0_x64_multilanguage.iso file or decompression tool to unpack and double-click the Setup.exe icon:
Second, select a stand-alone installation and then press the next step:
Third, because before the install
SolidWorks How to use Scan command?
1, open the SolidWorks software, click the New button
2. Click OK after selecting parts in pop-up window
3, to use the Scan command. Requires at least two elements, one scan profile and one scan path
4. Draw Scan Path
5. Draw the scan contour
6, after the completion of the two elements, click the Scan button
1, the built SolidWorks model, in order to facilitate display, the model color is set to blue, the face will be adjusted to red, as shown in the figure
2, select the Red Side, pop-up dialog box, click the "Face" button, as shown in the picture
3, the red side has been "horizontal face" to the user, as shown in the picture,
4, now to the red face "vertical face", how to operate it? First: Select the red side, righ
The content source of this page is from Internet, which doesn't represent Alibaba Cloud's opinion;
products and services mentioned on that page don't have any relationship with Alibaba Cloud. If the
content of the page makes you feel confusing, please write us an email, we will handle the problem
within 5 days after receiving your email.
If you find any instances of plagiarism from the community, please send an email to:
info-contact@alibabacloud.com
and provide relevant evidence. A staff member will contact you within 5 working days.